uk.ac.starlink.hapi

## Class ServerListing

- java.lang.Object
- - uk.ac.starlink.hapi.ServerListing

-     public class ServerListing
      extends java.lang.Object

  Listing for HAPI services.
  Since:
    15 Jan 2024

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ServerListing` | `ALL` Central list of production servers without ad-hoc metadata.
    `static ServerListing` | `ALL_` Central list of production servers with ad-hoc metadata.
    `static ServerListing` | `DEV` Central list of development servers.
    `static ServerListing` | `FALLBACK` Fallback hard-coded list, does not rely on a service.
    `static ServerListing[]` | `LISTINGS` Known listings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerMeta[]` | `getServers()` Returns the list of servers held by this object.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ALL

          public static final ServerListing ALL

      Central list of production servers without ad-hoc metadata.

    - #### ALL_

          public static final ServerListing ALL_

      Central list of production servers with ad-hoc metadata.

    - #### DEV

          public static final ServerListing DEV

      Central list of development servers.

    - #### FALLBACK

          public static final ServerListing FALLBACK

      Fallback hard-coded list, does not rely on a service.

    - #### LISTINGS

          public static final ServerListing[] LISTINGS

      Known listings.

  - ### Method Detail

    - #### getServers

          public ServerMeta[] getServers()

      Returns the list of servers held by this object. In case of a read error, it may be an empty array.
      Returns:
        server list

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`